Saltar al contenido principal
Create an offloader wallet
curl --request POST \
  --url https://api.spherepay.co/v2/offloader-wallet \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "customerId": "customer_a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6",
  "currency": "usdc",
  "network": "ethereum",
  "destination": {
    "bankAccountId": "bankAccount_6221e8d4299f4a889bd882255e92f581",
    "currency": "usd",
    "network": "ach",
    "achReference": "REF123"
  },
  "integratorBpsFeeRate": "100",
  "returnAddress": "0x4838B106FCe9647Bdf1E7877BF73cE8B0BAD5f97"
}
'
import requests

url = "https://api.spherepay.co/v2/offloader-wallet"

payload = {
"customerId": "customer_a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6",
"currency": "usdc",
"network": "ethereum",
"destination": {
"bankAccountId": "bankAccount_6221e8d4299f4a889bd882255e92f581",
"currency": "usd",
"network": "ach",
"achReference": "REF123"
},
"integratorBpsFeeRate": "100",
"returnAddress": "0x4838B106FCe9647Bdf1E7877BF73cE8B0BAD5f97"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
customerId: 'customer_a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6',
currency: 'usdc',
network: 'ethereum',
destination: {
bankAccountId: 'bankAccount_6221e8d4299f4a889bd882255e92f581',
currency: 'usd',
network: 'ach',
achReference: 'REF123'
},
integratorBpsFeeRate: '100',
returnAddress: '0x4838B106FCe9647Bdf1E7877BF73cE8B0BAD5f97'
})
};

fetch('https://api.spherepay.co/v2/offloader-wallet', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "wallet_a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6",
  "customerId": "customer_a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6",
  "address": "0x4838B106FCe9647Bdf1E7877BF73cE8B0BAD5f97",
  "currency": "usdc",
  "network": "ethereum",
  "status": "active",
  "destination": {
    "bankAccountId": "bankAccount_6221e8d4299f4a889bd882255e92f581",
    "currency": "usd",
    "network": "ach",
    "achReference": "REF123"
  },
  "fees": {
    "integratorFee": {
      "bpsRate": "100",
      "currency": "usdc"
    },
    "platformFee": {
      "bpsRate": "30",
      "currency": "usdc"
    }
  },
  "created": "2024-06-15T10:30:00.000Z",
  "updated": "2024-06-15T12:00:00.000Z",
  "returnAddress": "0x4838B106FCe9647Bdf1E7877BF73cE8B0BAD5f97"
}
{
"status": 400,
"detail": "Invalid request parameters",
"code": "address/invalid",
"correlationId": "28c61e885c6e5eaa78c1a2183a9b883c"
}
{
"status": 404,
"detail": "Resource not found",
"code": "resource/not-found",
"correlationId": "28c61e885c6e5eaa78c1a2183a9b883c"
}
{
"status": 422,
"detail": "Validation failed",
"code": "validation/failed",
"correlationId": "28c61e885c6e5eaa78c1a2183a9b883c",
"errors": [
{
"detail": "Invalid email format",
"pointer": "/email"
},
{
"detail": "Name is required",
"pointer": "/name"
}
]
}
Crea un Offloader Wallet para darle a un cliente una dirección on-chain dedicada vinculada a una cuenta bancaria específica. Cualquier stablecoin enviada a esa dirección es automáticamente convertida a la divisa fiat vinculada y enviada — no se requiere ninguna llamada a la API por transferencia. Cada cliente debe tener su propia billetera; compartir una dirección entre clientes hace que la atribución de depósitos sea poco confiable.

Autorizaciones

Authorization
string
header
requerido

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Cuerpo

application/json
customerId
string
requerido

The customer who owns the destination bank account.

Ejemplo:

"customer_a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6"

currency
enum<string>
requerido

The crypto currency the offloader wallet accepts for deposits. See Supported Rails & Currencies.

Opciones disponibles:
usdc,
usdt,
eurc
Ejemplo:

"usdc"

network
enum<string>
requerido

The blockchain network the offloader wallet is on. See Supported Rails & Currencies.

Opciones disponibles:
sol,
ethereum,
arbitrum,
polygon,
base,
avalanche,
tron
Ejemplo:

"ethereum"

destination
ACH · object
requerido

The bank account destination where converted funds are sent. See Bank Accounts guide.

Ejemplo:
{
"bankAccountId": "bankAccount_6221e8d4299f4a889bd882255e92f581",
"currency": "usd",
"network": "ach",
"achReference": "REF123"
}
integratorBpsFeeRate
string

Integrator fee in basis points (0-1000).

Ejemplo:

"100"

returnAddress
string

Crypto address where funds are returned on failed transactions. Must be valid for the selected network.

Ejemplo:

"0x4838B106FCe9647Bdf1E7877BF73cE8B0BAD5f97"

Respuesta

id
string
requerido

Unique identifier for the offloader wallet.

Ejemplo:

"wallet_a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6"

customerId
string
requerido

The customer who owns the offloader wallet.

Ejemplo:

"customer_a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6"

address
string
requerido

The on-chain deposit address for the offloader wallet. Send crypto to this address to trigger automatic conversion.

Ejemplo:

"0x4838B106FCe9647Bdf1E7877BF73cE8B0BAD5f97"

currency
enum<string>
requerido

The crypto currency the offloader wallet accepts for deposits. See Supported Rails & Currencies.

Opciones disponibles:
usdc,
usdt,
eurc
Ejemplo:

"usdc"

network
enum<string>
requerido

The blockchain network the offloader wallet is on. See Supported Rails & Currencies.

Opciones disponibles:
sol,
ethereum,
arbitrum,
polygon,
base,
avalanche,
tron
Ejemplo:

"ethereum"

status
enum<string>
requerido

Lifecycle status of the offloader wallet. active accepts deposits and settles; deactivated no longer settles.

Opciones disponibles:
active,
deactivated
Ejemplo:

"active"

destination
ACH · object
requerido

The bank account destination where converted funds are sent. See Bank Accounts guide.

Ejemplo:
{
"bankAccountId": "bankAccount_6221e8d4299f4a889bd882255e92f581",
"currency": "usd",
"network": "ach",
"achReference": "REF123"
}
fees
object
requerido

Fee configuration for the offloader wallet, including integrator and platform fees.

Ejemplo:
{
"integratorFee": { "bpsRate": "100", "currency": "usdc" },
"platformFee": { "bpsRate": "30", "currency": "usdc" }
}
created
string
requerido

Timestamp when the offloader wallet was created (ISO 8601).

Ejemplo:

"2024-06-15T10:30:00.000Z"

updated
string
requerido

Timestamp when the offloader wallet was last updated (ISO 8601).

Ejemplo:

"2024-06-15T12:00:00.000Z"

returnAddress
string

Crypto address where funds are returned on failed transactions. Must be valid for the wallet network. Null if not configured.

Ejemplo:

"0x4838B106FCe9647Bdf1E7877BF73cE8B0BAD5f97"

Última modificación el 22 de junio de 2026